#Exerccios 5 - Criao de Grficos
#--------------------------------------------------------------------------------------------
#5.1 Editando alguns parmetros grficos
#--------------------------------------------------------------------------------------------
#1.Leia os dados Conjunto de Dados: Biomassa de rvores de Eucalyptus saligna em um objeto chamado saligna

#upload
saligna <- read.table("esaligna.txt", header = T, sep = ",", dec=".", as.is=T)

#Verificar dados
head(saligna)
tail(saligna)
str(saligna)
summary(saligna)

#Criando grfico
png("saligna.png")#para salvar
par( bty="L", cex.axis=1.5, cex.lab=1.7, cex.main=1.8, las="1", tcl=0.3)
plot(saligna$dap~saligna$ht,xlab="Dimetro  altura do peito (cm)",ylab="Altura \n (m)", main="Eucalypthus saligna")
points(saligna$dap~saligna$ht, pch=19,cex=1.4, col="red")
dev.off()

#----------------------------------------------------------------------------------------------
5.2 Dois grficos juntos
#----------------------------------------------------------------------------------------------
#upload
saligna <- read.table("esaligna.csv", header = T, sep = ",", dec=".", as.is=T)

#Verificar dados
head(saligna)
tail(saligna)
str(saligna)
summary(saligna)

#transformando talho em fator
talhao <- factor(saligna$talhao)
class(talhao)#verificar mudana para fator

#Calcular a mdia de dap por talho
media_dap <- as.vector(tapply(saligna$dap,talhao, mean))
media_dap
rotulo_media_dap <- names(tapply(saligna$dap,talhao, mean))
rotulo_media_dap #vai ser importante depois para nomear o eixo

#Clculo do desvio padro do dap por talho
desviopadrao_dap <- tapply(saligna$dap,talhao, sd)
desviopadrao_dap

#Construo dos grficos
x11()#abrindo
par(mfrow=c(1,2))#colocando os grficos lado a lado
par(mar=c(4,4,1,0.5)) #definindo o tamanho das margens
par( bty="L", cex.axis=1.5, cex.lab=1.7, cex.main=1.8, las="1", tcl=0.3)#parmetros gerais dos grficos

#Grfico 1
boxplot(saligna$dap~talhao, xlab="", ylab="",ylim= c(0,25))
mtext("Talho", side=1, cex= 1.5, line=2.5, family="serif")#legenda do eixo
mtext("Dimetro  altura do peito (cm)", side=2, cex= 1.5, line=2.5, family="serif")#legenda do eixo
locator(1)#usado para saber localizao de um ponto no grfico
text(1,25,"a", cex=1.5)#marcando "a" no grfico

#Grfico 2
plot(media_dap, cex= 1.5, col="red", xlab="", ylab="", ylim= c(0,25), pch= 16, xaxt="n")#sem o eixo x
mtext("Talho", side= 1, cex= 1.5, line=2.5, family="serif") #adicionando a legenda do eixo x 
points(media_dap + desviopadrao_dap, pch="-", cex= 1.5)#adiciona as barrinhas nas linhas dos desvios padres superiores
points(media_dap - desviopadrao_dap, pch="-", cex= 1.5)#adiciona as barrinhas nas linhas dos desvios padres inferiores

#adicionado as linhas dos desvios padres de DAP para cada Talho
lines(x= c(1,1), y= c(media_dap[1]-desviopadrao_dap[1], media_dap[1]+desviopadrao_dap[1]))
lines(x= c(2,2), y= c(media_dap[2]-desviopadrao_dap[2], media_dap[2]+desviopadrao_dap[2]))
lines(x= c(3,3), y= c(media_dap[3]-desviopadrao_dap[3], media_dap[3]+desviopadrao_dap[3]))
lines(x= c(4,4), y= c(media_dap[4]-desviopadrao_dap[4], media_dap[4]+desviopadrao_dap[4]))
lines(x= c(5,5), y= c(media_dap[5]-desviopadrao_dap[5], media_dap[5]+desviopadrao_dap[5]))
lines(x= c(6,6), y= c(media_dap[6]-desviopadrao_dap[6], media_dap[6]+desviopadrao_dap[6]))

axis(side= 1, at=1:6, labels= as.numeric(rotulo_media_dap[1:6])) #adicionando o mesmo eixo x do boxplot
locator(1)#usado para saber localizao de um ponto no grfico
text(15,25,"b")#marcando "b" no grfico

dev.off() #fechando dispositivo

#--------------------------------------------------------------------------------------------
#5.3 Adivinhando o cdigo
#--------------------------------------------------------------------------------------------
##upload
dados <- read.table("dados.txt", header = T, sep = ",", dec=".", as.is=T)

#Verificar dados
head(dados)
tail(dados)
str(dados)
summary(dados)

#visualizando os dados percebe-se que y2  constituido por seis categorias de nmeros variando de 1 a 6.
#de modo que esse dado provavelmente compes o eixo do segundo grfico (small a control).
#Assim, x2 e y2 sero utilizados para fazer o sugundo grfico (b) 

#Montando os grficos

x11()#abrindo dispositivo
#parmetros gerais
par(mfrow=c(1,2))#colocando os grficos lado a lado
par(mar=c(4,4,1,0.5)) #definindo o tamanho das margens
par( bty="L", cex.axis=1.5, cex.lab=1.7, cex.main=1.8, las="0", tcl=0.3)#parmetros gerais dos grficos

#Grfico A

plot(dados$x1, dados$y1, ylim= c(0,3), xlab= "", ylab= "", pch= 17) #plotando grafico "a" #"pch=17": triangulos pretos
mtext("Log(Patch size)(ha)", side= 1, line= 2.2, family="serif") #adicionando a legenda do eixo x do grafico "a"
mtext("Euclidean distances", side=2, cex= 1.5, line=2.5, family="serif")#legenda do eixo
locator(1)#usado para saber localizao de um ponto no grfico
text(2.5,3,"a", cex= 1.5)#adicionando a letra 'a' no canto superior direito
segments(x0= 0.5, y0= 2.25, x1= 2.15, y1= 1, lwd = 2) #plotando a linha de tendencia

#Grfico B

boxplot(dados$x2~dados$y2,  ylab= "", xlab = "", ylim= c(0,3), xaxt="n",outline= FALSE)
axis(side= 1, at=1:6, family="serif", gap.axis= -1, cex=0.2, labels= c("Small\n","Medium\nEdge","Medium\nInterior","Large\nEdge","Large\nInterior", "Control\n")) #adicionando a legenda do eixo x do grfico B
locator(1)#usado para saber localizao de um ponto no grfico
text(6,3,"b", cex= 1.5) #adicionando a letra 'b' no canto superior direito
text(rep(3,5), c("*", "*", "**", "*", "***")) #adicionando os asteriscos
dev.off() #fechando dispositivo