##exercicio 5.1

esaligna <- read.csv("esaligna.csv", as.is=T)

##Marcadores nos eixos e bolinhas preenchidas
par(pch=16, las=1, tcl=0.3, bty="l")

##grfico de disperso, sem nomes dos eixos, com tamanho e cor dos marcadores
grafico.disp <- plot(esaligna$dap,esaligna$ht, xlab="", ylab="", cex=1.4, col="red")

##Editando textos nas margens do grfico
mtext("Dimetro  altura do peito (cm)", side=2, cex=1.7, las=3, line=2.5)
mtext("Altura (m)", side=1, cex=1.5, line=2.5)
mtext("Eucalypthus saligna", side=3, cex=1.8, line=2.5)

##exercicio 5.2

#Dois graficos lado a lado (1 linha e 2 colunas).
par(mfrow=c(1,2))

#Construindo o boxplot identificando-o como grafico "a".
boxplot(dap~talhao, data=dados.esaligna, xlab="Talho", ylab="DAP", main= "a")

#Media, o desvio padrao e as diferencas entre os dois por talhao.
media <- tapply(dados.esaligna$dap,dados.esaligna$talhao, FUN=mean)
dp <- tapply(dados.esaligna$dap,dados.esaligna$talhao, FUN=sd) 
menos <- media-dp
mais <- media+dp

#Matriz com os valores de media, dp, menos e mais para cada talhao para construao do grafico.
matriz <- matrix(data=c(media,dp,menos,mais),nrow=6,ncol=4,byrow=F,dimnames=list(c("16","17","18","22","23","32"),c("Media","DP","Menos","Mais")))
matriz

#Segundo grafico medias por talhao, grafico "b".
plot(matriz[,"Media"], xlim=c(1,6), ylim=c(6,22),xlab="Talho", ylab="DAP",xaxt="n", main="b")

##nomes eixos
axis(side=1,at=c(1,2,3,4,5,6),labels= c("16","17","18","22","23","32"))

#Barras dos dps por talhao.
segments(x0=1:6,y0=matriz[,"Menos"],x1=1:6,y1= matriz[,"Mais"])

##exercicio 5.3

##fazer dois grficos lado a lado apenas com os eixos xy
par(mfrow=c(1,2),tcl=0.3,bty="l")

##grfico de disperso; pch=smbolo tringulo; cex=tamanho do smbolo
grafico1 <- plot(ex3$x1, ex3$y1,xlab="",ylab="",pch=17,cex=1.2,ylim=c(0,3))

##adicionar linha no grfico	
abline(lm(ex3$y1~ex3$x1))

##edio de textos
mtext("Euclidean distances", side=2, cex=1.3, las=3, line=2.5)
mtext("Log(Patch size)(ha)", side=1, cex=1, line=2.5)
text(x= 2.5, y = 3, labels = "a", cex=1.3)

##checar componentes da coluna y2
table(ex3$y2)

##tamanho fonte dos eixos; linhas marcadoras pra dentro; apenas eixos xy
par(cex.axis=0.8,tcl=0.3,bty="l")

##grfico bloxplot
boxplot(ex3$x2~ex3$y2, xlab="", ylab="",labels=NULL,names=c("Small","Medium \n Edge","Medium \n Interior","Large \n Edge","Large \n Interior","Control"), ylim=c(0,3),outline=FALSE)
text(x=6 , y = 3, labels = "b",cex=1.3)

##texto eixo
size <- c("Small","Medium \n Edge","Medium \n Interior","Large \n Edge","Large \n Interior","Control")
mtext(size, side=1,at=1:6,line=1.5,cex=0.8)






