#Exerccio 4

##Exercicio 4.2

cervejas <-c("chope","lata","garrafa","chope","garrafa", "garrafa","lata","lata","nenhuma",
"lata","garrafa","garrafa", "garrafa","lata","lata","lata","garrafa","lata","chope","nenhuma",
"garrafa","garrafa","garrafa","chope","garrafa","garrafa","chope","garrafa","lata","lata")
cervejas

##1.
##Table para organizar os dados
table.cerv <- table(cervejas)
table.cerv

##Grfico de barras dos resultados
graf.barras <- barplot(table.cerv)

##Dotplot
dotchart(table.cerv)

##2.
##O dotplot tem uma razo dado/tinta maior, pois mostra a mesma informacao que o barplot usando menos tinta.

##Exerccio 4.3

##Arquivo "caixeta.csv"; objeto caixeta.
caixeta <- read.csv("caixeta.csv", as.is=T)
caixeta

##Caracteristicas dos dados
str(caixeta)
summary(caixeta)

##1.
##Clculo do dap a partir do cap.
##cap=2*pi*r
##cap=2*pi*(dap/2)
##dap=cap/pi

##Nova coluna com o dap de cada fuste.
caixeta$dap <- caixeta$cap/pi
caixeta

##Construir um histograma do dap dos fustes dos caixetais.
hist(caixeta$dap)

##2.
##Construir histogramas
hist(caixeta$h[caixeta$local=="chauas"],xlim=range(0:500))
hist(caixeta$h[caixeta$local=="jureia"],xlim=range(0:500))
hist(caixeta$h[caixeta$local=="retiro"],xlim=range(0:500))

##3.
##Usando uma mesma escala no eixo x, as distribuicoes de tamanhos dos diferente locais so similares; nos trs locais os tamanhos
##das arvores esto entre 0 e 200cm.


##Exercicio 4.4

##Arquivo "egrandis.csv"; objeto e.grnadis.
e.grandis <- read.table("egrandis.csv", header=T, sep=";", as.is=F)
e.grandis

##Caracteristicas dos dados.
str(e.grandis)
summary(e.grandis)

##1.
##Funao boxplot() para fazer o grafico box plot do DAP em funo da regiao, da rotao e da interao entre as duas.
boxplot(dap~regiao*rotacao, data=e.grandis, xlab = "Regiao e Rotacao", ylab="DAP (cm)")
boxplot(dap~regiao, data=e.grandis,xlab = "Regiao", ylab="DAP (cm)")
boxplot(dap~rotacao, data=e.grandis,xlab = "Rotacao", ylab="DAP (cm)")

##Pode-se dizer que as medianas (~10cm) e os minimos (~3cm) das 4 regioes so semelhantes, os maximos variam um pouco mais. A regiao de Bofete com bastante outliers.
##A rotacao 1 esta relacionada com maiores DAPs e apresenta mais outliers que a 2.
##No boxplot da interacao entre regiao e rotacao  possivel ter uma visao mais geral,
##a rotacao 1 dentro de todas as regioes se mostou maior do que a 2 e a rotacao 1 no Bofete teve um maior numero de outliers.

##2.
##qqnorm() para construir a distribuicao dos dados em relacao aos quantils
##qqline() para construir a distribuicao normal teorica dos dados.
qqnorm(e.grandis$h)
qqline(e.grandis$h, col="blue")

##Os dados de altura no seguem distribuio normal, pois se distanciam bastante da linha teorica nas extremidades.


##Exercicio 4.5

##1.
##Linhas com a especie Tabebuia cassinoides.
T.cassi <- caixeta[caixeta$especie=="Tabebuia cassinoides",]
T.cassi

###Nova coluna para a area basal de cada fuste.
T.cassi$area.basal <- pi*((T.cassi$dap/2)^2)
T.cassi

###Soma da area basal dos fustes de cada arvore.
soma.area <- aggregate(T.cassi$area.basal,by=list(T.cassi$local,T.cassi$arvore,T.cassi$h), sum)

##Nome colunas do data.frame.
colnames(soma.area) <- c("Local","Arvore","Altura","Area")
soma.area

##Nova coluna com o dap total de cada arvore.
soma.area$dap.total <- 2*sqrt(soma.area$Area/pi)
soma.area

##Grfico da relao dap e altura em funo do local.
par(mfrow=c(1,3))

plot(dap.total~Altura, data=soma.area, subset=Local=="chauas", xlim=range(0:500), ylim=range(0:500),
main="Chauas")

plot(dap.total~Altura, data=soma.area, subset=Local=="jureia", xlim=range(0:500), ylim=range(0:500),
main="Jureia")

plot(dap.total~Altura, data=soma.area, subset=Local=="retiro", xlim=range(0:500), ylim=range(0:500),
main="Retiro")

##Pode-se observar uma correlacao positiva entre o dap e a altura da arvore nas tres localidades.

##2.
##Grafico de scatter smooth da relacao dap e altura em funcao do local. 
par(mfrow=c(1,3))

scatter.smooth(soma.area$Altura[soma.area$Local=="chauas"],soma.area$dap.total[soma.area$Local=="chauas"],
xlim=range(0:500),ylim=range(0:500),main="Chauas",xlab="Altura",yla="DAP",col="red")

scatter.smooth(soma.area$Altura[soma.area$Local=="jureia"],soma.area$dap.total[soma.area$Local=="jureia"],
xlim=range(0:500),ylim=range(0:500),main="Jureia",xlab="Altura",yla="DAP",col="red")

scatter.smooth(soma.area$Altura[soma.area$Local=="retiro"],soma.area$dap.total[soma.area$Local=="retiro"],
xlim=range(0:500),ylim=range(0:500),main="Retiro",xlab="Altura",yla="DAP",col="red")

##No parece ter uma relacao entre o dap e altura no caixetal chauas. 

##3.
##Funao xyplot do pacote lattice para construir o grafico de relacao entre dap e altura por localidade.
xyplot(dap.total~Altura|Local, data=soma.area)

