######### Uma estimativa da incerteza na previso do modelo #######

babies <- read.table("babies.txt", header = T)
babies
babies$bwt[babies$bwt==999]<-NA
babies$gestation[babies$gestation==999] <- NA
babies$parity[babies$parity==9]<-NA
babies$age[babies$age==99]<-NA
babies$height[babies$height==99]<-NA
babies$weight[babies$weight==999]<-NA
babies$smoke[babies$smoke==9]<-NA
babies
babies1<-na.omit(babies)
babies1

##formula
##SSX : soma dos desvios quadrticos dos valores de x observados;
##s2: varincia dos valores de y observados;
##n: nmero de observaes;
##x : valor da varivel preditora para o qual se quer estimar o erro padro - criar seq
##xmn : mdia dos valores de x observados.


SSX<- sum((babies1$gestation-mean(babies1$gestation))^2)

s2 <- var(babies1$bwt)
s2

n<-length(babies1$gestation)
n

##sequncia de 100 valores compreendidos entre os valores mximo e mnimo da varivel preditora observada.
x<-seq(min(babies1$gestation),max(babies1$gestation),length.out = 100)
x

xmn<-mean(babies1$gestation)
xmn

xmn2 <- x-xmn
xmn2

xmn3<- xmn2^2
xmn3

sey<- sqrt(s2*((1/n))+(xmn3/SSX))
sey

##avaliar a incerteza do modelo para a relao peso do beb (kg) ~ tempo de gestao (dias)

bbs<-lm(bwt~gestation, data=babies1)
summary(bbs)

##teste t 

t<- qt(0.025, length(babies1$gestation)-2, lower.tail = F) 
t

##intervalo de confiana

ic<- t*sey
ic

plot(bwt~gestation, data=babies1, pch=15, cex=0.8, col="purple", ylab="Peso do beb (Kg)", xlab="Tempo de gestao (dias)")

abline(bbs, col="red",lty=1)

######### Galileu estava certo? #########

init.h = c(600, 700, 800, 950, 1100, 1300, 1500)
h.d = c(253, 337, 395, 451, 495, 534, 573)

mod1 <- lm(h.d~init.h)
mod1
plot(mod1)

mod2 <- update(mod1,.~. +I(init.h^2))
mod2
plot(mod2)

plot(h.d~init.h)
cf.m2 <- coef(mod2)
curve(cf.m2[1]+cf.m2[2]*x+cf.m2[3]*x^2, add=T, lty=2)


mod3<- update(mod1,.~. +I(init.h^2) + I(init.h^3))
mod3
plot(mod3)
cf.m3<-coef(mod3)
curve(cf.m3[1]+cf.m3[2]*x+cf.m3[3]*x^2+cf.m3[4]*x^3, add=T, lty=2)

anova(mod1,mod2)
anova(mod2,mod3)

##O polinmio de 2o grau ajusta melhor os dados de Galileu. Ao ajustar os dados para uma equao de 3o grau,
##a curva deixa de ser uma parbola. Ao analisar os modelos atravs da ANOVA, podemos ver que o modelo 2 continua
##sendo o que melhor explica os dados.

############ Massa de recm nascidos #############

babies <- read.table("babies.txt", header = T)
babies
babies$bwt[babies$bwt==999]<-NA
babies$gestation[babies$gestation==999] <- NA
babies$parity[babies$parity==9]<-NA
babies$age[babies$age==99]<-NA
babies$height[babies$height==99]<-NA
babies$weight[babies$weight==999]<-NA
babies$smoke[babies$smoke==9]<-NA
babies
class(babies$smoke)
babies$smoke<-as.logical(babies$smoke)
class(babies$smoke)
babies$parity<-as.logical(babies$parity)
class(babies$parity)
babies1<-na.omit(babies)
babies1

#Verificar se h variveis colineares
cor(babies1)


md1<-lm(bwt~gestation+parity+age+height+weight+smoke+gestation:parity+
          gestation:age+gestation:height+gestation:weight+gestation:smoke+
          parity:age+parity:height+parity:weight+parity:smoke+age:height+age:weight+
          age:smoke+height:weight+height:smoke+weight:smoke, data=babies1)
summary(md1)

##editando o modelo at ficar apenas as interaes significativas
md2<-update(md1,.~.-weight:smoke)
summary(md2)

md3<-update(md2,.~.-age:height)
summary(md3)

md4<-update(md3,.~.-parity:weight)
summary(md4)

md5<-update(md4,.~.-parity:smoke)
summary(md5)

md6<-update(md5,.~.-height:weight)
summary(md6)

md7<-update(md6,.~.-age:weight)
summary(md7)

md8<-update(md7,.~.-age:smoke)
summary(md8)

md9<-update(md8,.~.-parity:age)
summary(md9)

md10<-update(md9,.~.-height:smoke)
summary(md10)

md11<-update(md10,.~.-gestation:height)
summary(md11)

md12<-update(md11,.~.-gestation:weight)
summary(md12)

md13<-update(md12,.~.-gestation:parity)
summary(md13)


#Modelo md13  o melhor.