#### Exerccio 5.5.1 - Editando alguns parmetros grficos
#1. Leia os dados Conjunto de Dados: Biomassa de rvores de Eucalyptus saligna em um objeto chamado saligna
saligna = read.table("esaligna.csv", sep=",", header=T, as.is=T)
str(saligna)
#Abrindo o dispositivo png
png("saligna.png")
#Construindo o grfico
plot(saligna$ht~saligna$dap, pch=16, cex=1.4, col="red", 
     xlab="Dimetro  altura do peito (cm)", ylab="Altura (m)",
     cex.lab=1.5, cex.axis=1.7, tcl=0.3, las=1, bty="l",
     main="Eucalypthus saligna", cex.main=1.8)
#Fechando o dispositivo
dev.off()


#### Exerccio 5.5.2 - Dois grficos juntos
#Grficos lado a lado
par(mfrow=c(1,2))
#Definindo talho como fator
saligna$talhao = as.factor(saligna$talhao)
#Construindo o grfico 1
plot(saligna$dap~saligna$talhao, pch=16, cex=1.4, col="red", 
     xlab="Talho", ylab="DAP (m)",
     cex.lab=1.5, cex.axis=1.7, tcl=0.3, las=1, bty="l",
     cex.main=1.8, xaxt="n")
axis(side=1, at=saligna$talhao, labels=saligna$talhao)
text(x=1, y =23, "a")
#Construindo o grfico 2
mean = tapply(saligna$dap, saligna$talhao, mean)
plot(mean, pch=16, cex=1.4, col="red", 
     xlab="Talho", ylab="DAP (m)",
     cex.lab=1.5, cex.axis=1.7, tcl=0.3, las=1, bty="l",
     cex.main=1.8, ylim=c(5,21), xaxt="n")
sd = tapply(saligna$dap, saligna$talhao, sd)
sd1 = mean - sd
sd2 = mean + sd
segments(x0=1:6, y0=sd1, x1=1:6, y1=sd2)
axis(side=1, at=saligna$talhao, labels=saligna$talhao)
text(x=1.5, y =21, "b")


#### Exerccio 5.5.3 - Advinhando o cdigo
par(mfrow=c(1,2))
#Grfico 1
ex5 = read.table("exercicio5.csv", sep=",", header=T, as.is=T)
ex5
str(ex5)
par(mar=c(5,4,4,2))
plot(ex5$x1, ex5$y1, ylab="", xlab="", tcl=0.3, bty="l", 
     xlim=c(0.5,2.2), ylim=c(0,3), pch=17, family="serif")
segments(x=0.5, y= 2.25, x1=2.17, y1=1, lwd=2)
mtext("Log(Patch size)(ha)", 1, cex=1.2, family="serif", line=2.5)
mtext("Euclidean distances", 2, cex=1.7, family="serif", line=2)
text(2.2,3,"a", family="serif", cex=1.7)
#Grfico 2
par(bty="l") ### Por algum motivo colocar bty="l" dentro do comando do grfico, abaixo, no funcionou para o boxplot. 
             ### Alterar o par global funcionou.
par(mar=c(5,0.5,4,2)) #Igualmente  ao parmetro bty, o parmetro mar no est funcionando quando colocado direto no boxplot.
ex5$y2 = as.factor(ex5$y2)
boxplot(ex5$x2~ex5$y2, ex5$y2, outline=F, xaxt="n", yaxt="n", 
        ylim=c(0,3))
axis(1, labels=F, tcl=0.3)
axis(2, labels=T, tcl=0.3, family="serif")
mtext(c("Small\n","Medium\nEdge","Medium\nInterior",
        "Large\nEdge","Large\nInterior","Control\n"), 1,
      at=1:6, line=1.5, family="serif")
text(c(1:2, 4),3,"*", family="serif", cex=1.7)
text(3,3,"**", family="serif", cex=1.7)
text(5,3,"***", family="serif", cex=1.7)
text(6.5,3,"b", family="serif", cex=1.7)

