#Exercícios 5 - Criação de Gráficos

saligna=read.table("esaligna.csv", header = T,sep = ",",dec = ".",as.is = T)

###5.1 Editando alguns parâmetros gráficos

png("saligna.png")
plot(saligna$ht~saligna$dap,pch=19, col="red",cex= 1.4,ylab = "Altura(m)", xlab="Diâmetro à altura do peito (cm)",cex.lab=1.50, cex.axis=1.70, tcl=0.3,las=1,bty="l")
mtext("Eucalypthus saligna", side=3, line=1, at=15,cex=1.8, family="serif")
dev.off()

###5.2 Dois gráficos juntos

#colocando parâmetros gerais

par(mfrow=c(1,2),cex.lab=1.2, cex.axis=1.40, tcl=0.3,las=1,bty="l",cex= 1.4)

##Fazendo boxplot

boxplot(saligna$dap~saligna$talhao,ylab = "DAP(cm)", xlab="Talhão", ylim=c(0,25))
mtext("a", side=3, line=0, at=6.5,cex=2, family="serif")

##Fazendo plot com a medias

#obtendo as medias e desvíos padrões
mean=aggregate(saligna$dap,list(saligna$talhao),mean)
sd=aggregate(saligna$dap,list(saligna$talhao),sd)
#fazendo o plot
plot(x= mean$Group.1, y= mean$x ,ylab = "DAP(cm)", xlab="Talhão", type="n", ylim = c(0,25),xlim= c(0,7), xaxs="i",yaxs="i", xaxt="n", col="red")
axis(side = 1,at=c(1,2,3,4,5,6),labels = c(16,17,18,22,23,32))
mtext("b", side=3, line=0, at=6.5,cex=2, family="serif")
#agregando pontos das medias
points (x=1,y=10.36667, pch=19, col="red") # pch: tipo de simbolo
points (x=2,y=12.98571, pch=19, col="red")
points (x=3,y=11.63333, pch=19, col="red")
points (x=4,y=15.38000, pch=19, col="red")
points (x=5,y=13.58750, pch=19, col="red")
points (x=6,y=13.15000, pch=19, col="red")

#colocando linhas dos desvíos padrão

points (x=1,y=mean$x[1]-dp$x[1], pch="-", cex=1.2)
points (x= 1,y=mean$x[1]+dp$x[1], pch="-", cex=1.2)
segments(x0=1, y0=mean$x[1]-dp$x[1], x1= 1, y1=mean$x[1]+dp$x[1]) 

points (x=2,y=mean$x[2]-dp$x[2], pch="-", cex=1.2)
points (x= 2,y=mean$x[2]+dp$x[2], pch="-", cex=1.2)
segments(x0=2, y0=mean$x[2]-dp$x[2], x1= 2, y1=mean$x[2]+dp$x[2])

points (x=3,y=mean$x[3]-dp$x[3], pch="-", cex=1.2)
points (x= 3,y=mean$x[3]+dp$x[3], pch="-", cex=1.2)
segments(x0=3, y0=mean$x[3]-dp$x[3], x1= 3, y1=mean$x[3]+dp$x[3])

points (x=4,y=mean$x[4]-dp$x[4], pch="-", cex=1.2)
points (x= 4,y=mean$x[4]+dp$x[4], pch="-", cex=1.2)
segments(x0=4, y0=mean$x[4]-dp$x[4], x1= 4, y1=mean$x[4]+dp$x[4])

points (x=5,y=mean$x[5]-dp$x[5], pch="-", cex=1.2)
points (x= 5,y=mean$x[5]+dp$x[5], pch="-", cex=1.2)
segments(x0=5, y0=mean$x[5]-dp$x[5], x1= 5, y1=mean$x[5]+dp$x[5])

points (x=6,y=mean$x[6]-dp$x[6], pch="-", cex=1.2)
points (x= 6,y=mean$x[6]+dp$x[6], pch="-", cex=1.2)
segments(x0=6, y0=mean$x[6]-dp$x[6], x1= 6, y1=mean$x[6]+dp$x[6]) 

###5.3 Adivinhando o código

a=read.table("exercicio3.csv",header = T,sep = ",",dec = ".",as.is = T)
par(mfrow=c(1,2),bty="l", tcl=0.4)
plot(y1~x1,data = a, pch=17, ylab="Euclidean distances", xlab="Log(Patch size)(ha)",cex.lab=1.3, ylim=c(0,3), xlim =c(0.5, 2.5) )
abline(lm(y1~x1,data = a),lwd=2)
mtext("a", side=3, line=0, at=2.5,cex=1.5, family="serif")
boxplot(x2~y2,data = a, outline=F,xaxt="n", tcl= 0.3)
axis(side = 1,at=1:6,labels = c("Small","Medium\n Edge","Medium\nInterior", "Large\nEdge","Large\nInterior","Control"),cex.axis=0.8)
mtext("*", side=3, line=0, at=c(1,2,4),cex=1.3, family="serif")
mtext("**", side=3, line=0, at=3,cex=1.3, family="serif")
mtext("***", side=3, line=0, at=5,cex=1.3, family="serif")
mtext("b", side=3, line=0, at=6.5,cex=1.5, family="serif")
