# 5.1 Editando alguns parâmetros gráficos
setwd("~/Documents/mestrado/Disciplinas_2019/R_USP/5")
#1. Leia os dados Conjunto de Dados: Biomassa de Árvores de Eucalyptus saligna em um objeto chamado saligna
saligna<-read.csv("esaligna.csv", header = T, sep=',')

#2. Use o simbolo de círculo preenchido aumentado em 40%, na cor vermelha - Legendas dos eixos com nomes das variáveis e suas unidades da seguinte forma:
plot(saligna$dap~saligna$ht, pch=16, col="red", cex=1.4, bty="L",tcl= 0.3,
     xlab= "Diâmetro à altura do peito (cm)",
     cex.xis = 1.5,
     ylab ="Altura (m)",
     las= 0,
     cex.lab = 1.7,
     main= " Eucalypthus saligna ",
     cex.main= 1.8)

#3. x: Diâmetro à altura do peito (cm)
#4. y: Altura (m)
#5. Tamanho das fontes e legendas dos eixos com 50% e 70% de aumento que o padrão, respectivamente
#6. Marcações da escala dos eixos (ticks marks) para dentro da área do gráfico com tamanho de 0.3 do tamanho da linha.
#7. Valores do eixo y na horizontal
#8. Apenas as linhas referentes/ aos eixos x e y (formato “L”)
#9. Título contendo: *Eucalypthus saligna* com aumento de 80%
#10. Salve o gráfico no formato png no arquivo saligna.png no diretório de trabalho atual.

png(filename = "saligna.png",
    width = 480, height = 480, units = "px", pointsize = 12,
    bg = "white",  res = NA,
    type = c("quartz"))


plot(saligna$dap~saligna$ht, pch=16, col="red", cex=1.4, bty="L",tcl= 0.3,
     xlab= "Diâmetro à altura do peito (cm)",
     cex.xis = 1.5,
     ylab ="Altura (m)",
     las= 0,
     cex.lab = 1.7,
     main= " Eucalypthus saligna ",
     cex.main= 1.8)

dev.off()

# -----------------------------------------------------------------------
#5.2 Dois gráficos juntos

#Use as variáveis “dap” e “talhao” para construir dois gráficos, colocando-os lado a lado. O primeiro deve ser um gráfico de desenho de caixa (boxplot) da variável “dap” em função do fator “talhão”. O segundo deve ter apenas a média e uma barra de desvio-padrão do dap, para cada talhão.
png(filename = "dap_talhao.png",
    units = "px", pointsize = 12,
    bg = "white",  res = NA,
    type = c("quartz"))

par(mfrow=c(1,2))

par(bty= "l",
las=0,
tcl=0.3)
boxplot(saligna$dap~saligna$talhao,
        ylab= "Talhão",
        xlab="DAP",
        cex.xis=1.5,
        cex.lab=1.7,
        main= " A ",
        cex.main= 1.8)


mean.<-tapply(saligna$dap, INDEX= saligna$talhao, FUN=mean)
sd.<-tapply(saligna$dap, INDEX= saligna$talhao, FUN=sd)

a<-matrix(data= c(mean., sd.),nrow=6, ncol=2)


plot(a,
     ylab= "Desvio-padrão do DAP", 
     tcl=0.3,
     xlab="Média do DAP", 
     cex.xis = 1.5,
     xlim=c(10,16), ylim=c(3,7),
     cex.lab = 1.7,
     bty="l",
     pch=16, col="red",
     cex=1.4,
     las=0,
     main= " B ",
     cex.main= 1.8)

text(x=10.86667, y=3.733452, "16")
text(x=13.48571, y=6.023960, "17")
text(x=12.13333, y=4.266536, "18")
text(x=15.92000, y=5.483794, "22")
text(x=14.09750, y=5.154315, "23")
text(x=13.65000, y=6.285499, "32")  

dev.off()
graphics.off()
#Mantenha o mesmo padrão de formatação do exercício anterior.
#Insira também uma letra para dizer qual é o gráfico “a” e qual é o “b” (tanto faz, quem é um e quem é outro).

# -----------------------------------------------------------------------
#5.3 Adivinhando o código

#Leia os dados deste arquivo e usando as variáveis “x1” e “y1” e “x2” e “y2” tente reproduzir esta figura:

png(filename = "exercicio_3.png",
    units = "px", pointsize = 12,
    bg = "white",  res = NA,
    type = c("quartz"))
#primeiro gráfico
x<-read.csv("exercicio3.csv", head=T, sep=',')

x$y2[x$y2== 1]<- "Small"
x$y2[x$y2 == 2]<- "Medium Edge"
x$y2[x$y2 == 3]<- "Medium Interior"
x$y2[x$y2== 4]<-"Large Edge"
x$y2[x$y2==5]<-"Large Interior"
x$y2[x$y2==6]<- "Control"

par(mfrow=c(1,2))
par(family="serif",mar=c(5,4,4,3.5), bty="l")
plot(x$x1,x$y1,
     pch=17,
     ylab= "Euclidean distances",
     cex.xis = 1.5,
     xlab= "Log(Patch size)(ha)",
     cex.lab = 1.7,
     xlim=c(0.5,2.33),
     ylim=c(0,3),
     tcl=.4,
     bty="l",
     cex=1.5)
text(x=2.043056, y=3,"a", cex=1.5)
#locator(1)
lines(x= c(0.5,2.17), y= c(2.25,0.99), type= "l",cex=5, lty=1, lwd=3)

#segundo gráfico
x2<-read.csv("exercicio3.csv", header=T, sep=',')

boxplot(x2$x2~x2$y2, ylim=c(0.0,3.0), outline=FALSE, xaxt="n", cex=1,
                levels = levels(x2$y2)[c(6,4,5,2,3,1)])
axis(1, 1:6, family="serif", c("Small","Medium\n Edge","Medium\n Interior",
                                       "Large\n Edge","Large\n Interior","Control"), cex.axis=1, padj=0.25)
text(x=c(1:6), y=3, c("*", "*", "**", "*", "***", ""), cex=1.5)
text(x=6.4232, y=3, "b", cex=1.5)
dev.off()
