### Exercicios 8 ###

## 1 ##
#lendo e revendo dados
eutad <- read.table("palmadulto.txt", h=T, sep="\t")
class(eutad)
str(eutad)

#distancias entre individuos
dist <- matrix(NA, ncol=102, nrow=102) #criando matriz de dimensoes de numero de individuos
for(i in 1:101) #i é um individuo
  {
  for(j in (i+1):102) #j é o proximo individuo
    {
    difx2 <- (eutad$gx[i] - eutad$gx[j])^2 #calcula distancia x (quadratica) entre individuo i e j
    dify2 <- (eutad$gy[i] - eutad$gy[j])^2 #calcula distancia y (quadratica) entre individuo i e j
    dist[i,j] <- dist[j,i] <- sqrt(difx2+dify2) #calcula distancia euclidiana e atribui aos elementos i,j da matriz
    }
  }

#calculando distancia media do vizinho mais próximo
nn <- apply(dist, 1, min, na.rm=TRUE) #minimo em linhas
mnn <- mean(nn)

#simulando
resultado <- rep(NA,1000)
resultado[1] <- mnn
for (k in 2:1000)
  {
  xsim <- round(runif(n=102,min=0,max=320), 1)
  ysim <- round(runif(n=102,min=0,max=320), 1)
  dist.sim <- matrix(NA, ncol=102,nrow=102)
  for (l in 1:101)
    {
    for (m in (l+1):102)
      {
      difx2.sim <- (xsim[l]-xsim[m])^2
      dify2.sim <- (ysim[l]-ysim[m])^2
      dist.sim[l,m] <- dist.sim[m,l] <- sqrt(difx2.sim+dify2.sim)
      }
    }
  resultado[k] <- mean(apply(dist.sim,1,min,na.rm=TRUE))
  }

hist(resultado, main="", xlab="Distribuição de MNN em simulações")
abline(v=mnn,col="red", lty=2)

#unicaudal
p.uni <- (resultado <= resultado[1])/length(resultado)

#bicaudal
resultado.m <- resultado - mean(resultado)
p.palm <- sum(resultado.m <= resultado.m[1] | resultado.m >= resultado.m[1]*-1)/length(resultado.m)


## 2 ##

animals <- read.table("animais.txt", h=T, sep=";", dec=",") #lendo dados
animals$logbody <- log(animals$body) #logaritmos
animals$logbrain <- log(animals$brain) #logaritmos
animals <- na.omit(animals) #retirando NAs
plot(animals$logbrain ~ animals$logbody)
coef <- sum((animals$logbody - mean(animals$logbody))*(animals$logbrain - mean(animals$logbrain)))/sum((animals$logbody - mean(animals$logbody))^2) #calculo do coeficiente

#simulando
simula <- rep(NA, 1000)
simula[1] <- coef
for (i in 2:1000)
  {
  sim_brain <- sample(animals$logbrain)
  coef.sim <- sum((animals$logbody - mean(animals$logbody))*(sim_brain - mean(sim_brain)))/sum((animals$logbody - mean(animals$logbody))^2)
  simula[i] <- coef.sim
  }
hist(simula, main="", xlab="Distribuição de coeficientes simulados")
abline(v=coef, lty=2, col="red")
p.animals <- sum(simula >= simula[1])/length(simula) #p valor
prob <- p.animals*100
